
Figure - Bug #115184
【BSP】【EVT2】【BT】【8/10】关闭语音通话后，闹钟在蓝牙音响中无声
2023-01-09 17:25 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-17

Priority: Normal Due date: 2023-03-30

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: FIXED Degrated: --

Severity: Minor Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Reproducibility: Occasionally Fixed Version: 2023-03-16

Test Type: ST Root cause: 副屏闹钟功能以裁剪��该问题已解决

Description

【前提条件】

1.设备刷机 启动

2.设备安装QQ，辅助机安装QQ

3.设备连接蓝牙音响

【测试步骤】

1.设置1个闹钟

2.等待闹钟响起

3.闹钟响起

4.辅助机给DUT拨打语音通话

5.接通后5秒结束语音通话，观察音频输出

【预期结果】

5.蓝牙音响中输出闹钟铃声

【实际结果】

5.显示在闹钟时间，但蓝牙音响无闹钟铃声

【复现概率】

8/10

【备注】

2/10 蓝牙音响中能够输出闹钟

History

#1 - 2023-01-09 17:34 - CD FW-廖涛

- Category changed from CD-APP to AUDIO-FW

- Assignee changed from CD FW-廖涛 to CD MM陈海波

海波，这个 BUG 麻烦你们那边先分析下，谢谢。

#2 - 2023-01-11 17:06 - CD MM陈海波

- Due date set to 2023-01-19

- Start date changed from 2023-01-09 to 2023-01-17
#3 - 2023-01-16 20:05 - CD MM陈海波

- Due date changed from 2023-01-19 to 2023-01-31

Hi, 刘勇,

从log进行分析, 发现拨打语音通话前闹钟已经响起, 不过响起不到10秒钟.

不知是否由于underrun导致数据没及时传送给蓝牙codec导致.

目前从提供的log看不出别的错误log, 

所以麻烦设置以下环境重新再测试下(闹钟画面出现后请等待一段时间).

测试前请设置以下属性:

adb shell setprop log.tag.APM_AudioPolicyManager V

当问题复现后, 麻烦提供一份log和audio 的qxdm log(这样可以查看数据已经传给了蓝牙).

多谢!

#4 - 2023-01-16 20:05 - CD MM陈海波

- Status changed from New to NEED_INFO

- Assignee changed from CD MM陈海波 to CDTS_TEST 刘勇

#5 - 2023-01-29 17:20 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#6 - 2023-01-31 14:19 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP何伟

问题复现,日志在 ftp://cdiot@192.168.87.46/Figure/bug/115077/tlog_sts000101110_1497_0119113922.tar.gz

#7 - 2023-02-02 20:02 - CD BSP何伟

- Due date changed from 2023-01-31 to 2023-02-09

#8 - 2023-02-14 10:56 - CDTS-TEST 周婷

- Due date changed from 2023-02-09 to 2023-02-20

#9 - 2023-02-17 09:49 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#10 - 2023-02-22 10:34 - CDTS-TEST 周婷

- Due date changed from 2023-02-20 to 2023-03-30

#11 - 2023-02-28 14:21 - CD TPM-王祥林

- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

#12 - 2023-03-07 09:51 - CD TPM-王祥林

- Assignee changed from CD BSP何伟 to CD MM唐驭俊

#13 - 2023-03-07 11:14 - CD TPM-王祥林
- Assignee changed from CD MM唐驭俊 to Multimedia组-RD3_TSCD 梁卿山

#14 - 2023-03-16 14:33 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

Hi 永红

■ 当前现状

当前和永红确认，闹钟功能已经移除，该场景不会遇到，申请关闭该问题单。

#15 - 2023-03-16 15:31 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to FIXED

#16 - 2023-03-16 15:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

3.16

副屏闹钟功能以裁剪

该问题已解决

#17 - 2023-03-16 15:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#18 - 2023-03-23 10:42 - Multimedia组-RD3_TSCD 梁卿山

- Fixed Version set to 2023-03-16

- Root cause set to 副屏闹钟功能以裁剪

该问题已解决

Files

Clock_Volume.txt 11.6 MB 2023-01-09 CDTS_TEST 刘勇

2025-07-04 3/3


